# Storage

Allows managing the Storage. The user can create new folders and files, retrieve information about folders and files, update information about folders and files, and delete folders and files.

Methods:

### **API for Working with Folders**

1. [Create a New Folder](#user-content-fn-1)[^1]
2. [Get Folder Information by GUID](#user-content-fn-2)[^2]
3. [Get List of Folders Associated with GUID](#user-content-fn-3)[^3]
4. [Update Folder Information by GUID](#user-content-fn-4)[^4]
5. [Delete Folder by GUID](#user-content-fn-5)[^5]

### **API for Working with Files**

1. [Create a New File](#user-content-fn-6)[^6]
2. [Get File Information by GUID](#user-content-fn-7)[^7]
3. [Update File Information by GUID](#user-content-fn-8)[^8]
4. [Delete File by GUID](#user-content-fn-9)[^9]

[^1]: /api/folders/create

[^2]: /api/folders/read/{guid}

[^3]: /api/folders/list

[^4]: /api/folders/update

[^5]: /api/folders/delete/{guid}

[^6]: /api/files/create

[^7]: /api/files/read/{guid}

[^8]: /api/files/update

[^9]: /api/files/delete/{guid}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/khranilishe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
